/*
 * LED_SW2.c
 *
 */

#include "7080S.H"

#define	LED6	(PE.DR.BIT.B11)
#define	SW6	(PD.DR.BIT.B18)
#define	LED_ON	(0)
#define	LED_OFF	(1)

void main(void) {
	PFC.PEIORL.BIT.B11 = 1;
	PFC.PDIORH.BIT.B18 = 0;
	LED6 = LED_OFF;
	while (1) {
		while (!SW6)
			// SW6 が OFF である間、ループし続ける
			;
		while (SW6)
			// SW6 が ON である間、ループし続ける
			;

		// SW6 が OFF になった瞬間
		if (LED6 == LED_ON) {
			LED6 = LED_OFF;
		} else {
			LED6 = LED_ON;
		}
	}
}
