/*
 * LED_SW1.c
 *
 */

#include "7080S.H"

#define	LED6	(PE.DR.BIT.B11)
#define	SW6	(PD.DR.BIT.B18)
#define	LED_ON	(0)
#define	LED_OFF	(1)
#define	SW_ON	(1)
#define	SW_OFF	(0)

void main(void) {
	PFC.PEIORL.BIT.B11 = 1;	// LED6端子を出力状態に設定(外部を操作する)
	PFC.PDIORH.BIT.B18 = 0;	// SW6端子を入力状態に設定(外部の状態を調べる)
	LED6 = LED_OFF;
	while (1) {
		if (SW6 == SW_ON) {
			LED6 = LED_ON;
		} else {
			LED6 = LED_OFF;
		}
	}
}

